@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
	$base: '.digi-tools-feedback-rating';

	container-type: inline-size;
	display: block;
	width: 100%;

	#{$base} {
		&--fullwidth {
			#{$base}__wrapper {
				padding-left: 0;
				padding-right: 0;
			}
		}

		&--minimal {
			#{$base}__wrapper {
				padding: 0;
			}
		}

		&__wrapper {
			padding-top: var(--digi--padding--largest);
			padding-inline: var(--digi--padding--largest);
			padding-bottom: 40px;

			@media (max-width: $digi--breakpoint--medium-below) {
				padding-bottom: 24px;
				padding-top: var(--digi--padding--medium);
			}
			@media (max-width: $digi--breakpoint--small) {
				padding-inline: var(--digi--padding--medium);
			}
		}

		.digi-tools-feedback-rating__wrapper {
			@container (max-width: 576px) {
				padding-inline: var(--digi--padding--medium);
			}

			@container (max-width: 768px) {
				padding-bottom: 24px;
				padding-top: var(--digi--padding--medium);
			}
		}

		&__step1-wrapper {
			display: block;

			@media (min-width: $digi--breakpoint--small) {
				margin-top: 0;
			}
			@media (max-width: $digi--breakpoint--medium) {
				flex-shrink: unset;
			}
		}

		.digi-tools-feedback-rating__step1-wrapper {
			@container (min-width: 576px) {
				margin-top: 0;
			}
			@container (max-width: 768px) {
				flex-shrink: unset;
			}

			@container (max-width: 342px) {
				display: flex;
				align-items: flex-start;
				flex-direction: column;
				row-gap: var(--digi--padding--medium);
			}
		}

		&__step1-description {
			display: block;
			margin-bottom: 10px;
			font-weight: var(--digi--typography--label--font-weight--mobile);
		}

		&__heading {
			margin-top: 0; //för att inte ärva från docs
			margin-right: #{rem(56)};
			max-width: 500px;
			margin-bottom: 16px; //alltid samma

			@media (max-width: $digi--breakpoint--medium) {
				margin-right: 0;
			}
		}

		legend .digi-tools-feedback-rating__heading {
			@container (max-width: 768px) {
				margin-right: 0;
			}
		}

		&__fieldset {
			max-width: inherit;
			border: none !important;
			margin: 0;
			padding: 0;
		}

		&__star-rating {
			padding: 0;
			width: 100%;

			legend {
				padding-left: 0;
				flex-basis: #{rem(429)};
			}

			.hidden {
				@include digi--a11y--sr-only;
			}

			&-stars {
				display: inline-flex;
				flex-wrap: wrap;
				max-width: #{rem(226)};
				max-height: #{rem(80)};
				margin-inline-end: #{rem(10)};
			}
		}

		&__star-rating-stars,
		&__thankyou-text {
			display: flex;
		}

		&__thankyou-check-icon {
			padding-right: 24px;
			padding-top: 3px;
			box-sizing: content-box;
		}

		.step2 .digi-tools-feedback-rating__heading {
			margin-bottom: 0px;
		}

		&__star-rating-star-button {
			background-color: unset;
			border: unset;
			cursor: pointer;
			height: var(--digi--padding--larger);
			padding: var(--digi--gutter--smallest-3);
			display: block;
			position: relative;
			margin-inline-end: #{rem(14)};
			height: #{rem(30)};
		}

		&__star-rating-star-button:focus-visible {
			border-radius: var(--digi--border-radius--secondary);
			outline-style: solid;
			outline-color: #000;
			outline-width: #{rem(2)};
		}

		&-star-icon {
			fill: none;
		}

		&-star-icon-border {
			stroke: #3b3735;
		}

		&__star-rating-star-button:focus-visible .digi-tools-feedback-rating-star-icon.filled,
		&-star-icon.filled{
			fill: #00005a;
		}

		&-star-icon.filled .digi-tools-feedback-rating-star-icon-border {
			stroke: #00005a;
		}

		&__link {
			margin-top: var(--digi--margin--medium);
		}
	}
}
